| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
wxAuiSimpleTabArt Class Reference
Window Docking (wxAUI)

`#include <wx/aui/auibook.h>`

Inheritance diagram for wxAuiSimpleTabArt:
[legend]

## Detailed Description

Another standard tab art provider for wxAuiNotebook.

wxAuiSimpleTabArt is derived from wxAuiTabArt demonstrating how to write a completely new tab art class. It can also be used as alternative to wxAuiDefaultTabArt.

Appearance:

Generic Appearance

##

Library: wxAui
Category: Window Docking (wxAUI)

## Public Member Functions
| wxAuiSimpleTabArt ()
virtual | ~wxAuiSimpleTabArt ()
wxAuiTabArt * | Clone ()
| Clones the art object.
void | SetFlags (unsigned int flags)
| Sets flags.
void | SetSizingInfo (const wxSize &tabCtrlSize, size_t tabCount)
| Sets sizing information.
void | SetNormalFont (const wxFont &font)
| Sets the normal font for drawing labels.
void | SetSelectedFont (const wxFont &font)
| Sets the font for drawing text for selected UI elements.
void | SetMeasuringFont (const wxFont &font)
| Sets the font used for calculating measurements.
void | SetColour (const wxColour &colour)
| Sets the colour of the inactive tabs.
void | SetActiveColour (const wxColour &colour)
| Sets the colour of the selected tab.
void | DrawBackground (wxDC &dc, wxWindow *wnd, const wxRect &rect)
| Draws a background on the given area.
void | DrawTab (wxDC &dc, wxWindow *wnd, const wxAuiNotebookPage &pane, const wxRect &inRect, int closeButtonState, wxRect *outTabRect, wxRect *outButtonRect, int *xExtent)
| Draws a tab.
void | DrawButton (wxDC &dc, wxWindow *wnd, const wxRect &inRect, int bitmapId, int buttonState, int orientation, wxRect *outRect)
| Draws a button.
int | GetIndentSize ()
| Returns the indent size.
wxSize | GetTabSize (wxDC &dc, wxWindow *wnd, const wxString &caption, const wxBitmap &bitmap, bool active, int closeButtonState, int *xExtent)
| Returns the tab size for the given caption, bitmap and state.
int | ShowDropDown (wxWindow *wnd, const wxAuiNotebookPageArray &items, int activeIdx)
int | GetBestTabCtrlSize (wxWindow *wnd, const wxAuiNotebookPageArray &pages, const wxSize &requiredBmpSize)
| Returns the tab control size.
Public Member Functions inherited from wxAuiTabArt
| wxAuiTabArt ()
| Constructor.

## Protected Attributes
wxFont | m_normalFont
wxFont | m_selectedFont
wxFont | m_measuringFont
wxPen | m_normalBkPen
wxPen | m_selectedBkPen
wxBrush | m_normalBkBrush
wxBrush | m_selectedBkBrush
wxBrush | m_bkBrush
wxBitmap | m_activeCloseBmp
wxBitmap | m_disabledCloseBmp
wxBitmap | m_activeLeftBmp
wxBitmap | m_disabledLeftBmp
wxBitmap | m_activeRightBmp
wxBitmap | m_disabledRightBmp
wxBitmap | m_activeWindowListBmp
wxBitmap | m_disabledWindowListBmp
int | m_fixedTabWidth
unsigned int | m_flags

## Constructor & Destructor Documentation

wxAuiSimpleTabArt::wxAuiSimpleTabArt | ( |  | ) |

virtual wxAuiSimpleTabArt::~wxAuiSimpleTabArt | ( |  | ) |
| virtual

## Member Function Documentation

wxAuiTabArt* wxAuiSimpleTabArt::Clone | ( |  | ) |
| virtual

Clones the art object.

Implements wxAuiTabArt.

void wxAuiSimpleTabArt::DrawBackground | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | rect
| ) |  |
| virtual

Draws a background on the given area.

Implements wxAuiTabArt.

void wxAuiSimpleTabArt::DrawButton | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | in_rect,
|  | int | bitmap_id,
|  | int | button_state,
|  | int | orientation,
|  | wxRect * | out_rect
| ) |  |
| virtual

Draws a button.

Implements wxAuiTabArt.

void wxAuiSimpleTabArt::DrawTab | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiNotebookPage & | page,
|  | const wxRect & | rect,
|  | int | close_button_state,
|  | wxRect * | out_tab_rect,
|  | wxRect * | out_button_rect,
|  | int * | x_extent
| ) |  |
| virtual

Draws a tab.

Implements wxAuiTabArt.

int wxAuiSimpleTabArt::GetBestTabCtrlSize | ( | wxWindow * | ,
|  | const wxAuiNotebookPageArray & | ,
|  | const wxSize & |
| ) |  |
| virtual

Returns the tab control size.

Implements wxAuiTabArt.

int wxAuiSimpleTabArt::GetIndentSize | ( |  | ) |
| virtual

Returns the indent size.

Implements wxAuiTabArt.

wxSize wxAuiSimpleTabArt::GetTabSize | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxString & | caption,
|  | const wxBitmap & | bitmap,
|  | bool | active,
|  | int | close_button_state,
|  | int * | x_extent
| ) |  |
| virtual

Returns the tab size for the given caption, bitmap and state.

Implements wxAuiTabArt.

void wxAuiSimpleTabArt::SetActiveColour | ( | const wxColour & | colour | ) |
| virtual

Sets the colour of the selected tab.

Since
  2.9.2

Implements wxAuiTabArt.

void wxAuiSimpleTabArt::SetColour | ( | const wxColour & | colour | ) |
| virtual

Sets the colour of the inactive tabs.

Since
  2.9.2

Implements wxAuiTabArt.

void wxAuiSimpleTabArt::SetFlags | ( | unsigned int | flags | ) |
| virtual

Sets flags.

Implements wxAuiTabArt.

void wxAuiSimpleTabArt::SetMeasuringFont | ( | const wxFont & | font | ) |
| virtual

Sets the font used for calculating measurements.

Implements wxAuiTabArt.

void wxAuiSimpleTabArt::SetNormalFont | ( | const wxFont & | font | ) |
| virtual

Sets the normal font for drawing labels.

Implements wxAuiTabArt.

void wxAuiSimpleTabArt::SetSelectedFont | ( | const wxFont & | font | ) |
| virtual

Sets the font for drawing text for selected UI elements.

Implements wxAuiTabArt.

void wxAuiSimpleTabArt::SetSizingInfo | ( | const wxSize & | tab_ctrl_size,
|  | size_t | tab_count
| ) |  |
| virtual

Sets sizing information.

Implements wxAuiTabArt.

int wxAuiSimpleTabArt::ShowDropDown | ( | wxWindow * | wnd,
|  | const wxAuiNotebookPageArray & | items,
|  | int | activeIdx
| ) |  |

## Member Data Documentation

wxBitmap wxAuiSimpleTabArt::m_activeCloseBmp
| protected

wxBitmap wxAuiSimpleTabArt::m_activeLeftBmp
| protected

wxBitmap wxAuiSimpleTabArt::m_activeRightBmp
| protected

wxBitmap wxAuiSimpleTabArt::m_activeWindowListBmp
| protected

wxBrush wxAuiSimpleTabArt::m_bkBrush
| protected

wxBitmap wxAuiSimpleTabArt::m_disabledCloseBmp
| protected

wxBitmap wxAuiSimpleTabArt::m_disabledLeftBmp
| protected

wxBitmap wxAuiSimpleTabArt::m_disabledRightBmp
| protected

wxBitmap wxAuiSimpleTabArt::m_disabledWindowListBmp
| protected

int wxAuiSimpleTabArt::m_fixedTabWidth
| protected

unsigned int wxAuiSimpleTabArt::m_flags
| protected

wxFont wxAuiSimpleTabArt::m_measuringFont
| protected

wxBrush wxAuiSimpleTabArt::m_normalBkBrush
| protected

wxPen wxAuiSimpleTabArt::m_normalBkPen
| protected

wxFont wxAuiSimpleTabArt::m_normalFont
| protected

wxBrush wxAuiSimpleTabArt::m_selectedBkBrush
| protected

wxPen wxAuiSimpleTabArt::m_selectedBkPen
| protected

wxFont wxAuiSimpleTabArt::m_selectedFont
| protected